# Layer_TimeLoop Class Reference

`#include <timeloop.h>`

Inheritance diagram for Layer_TimeLoop:

List of all members.

## Public Member Functions

| ~Layer_TimeLoop ()
virtual bool | set_param (const synfig::String &param, const synfig::ValueBase &value)
| Sets the parameter described by param to value.
virtual synfig::ValueBase | get_param (const synfig::String &param) const
| Get the value of the specified parameter.
virtual Vocab | get_param_vocab () const
| Gets the parameter vocabulary.
virtual bool | set_version (const synfig::String &ver)
| Sets the virtual version to use for backwards-compatibility.
virtual void | reset_version ()
| Resets the virtual version.
virtual synfig::Color | get_color (synfig::Context context, const synfig::Point &pos) const
| Gets the color of the Canvas at pos.
virtual void | set_time (synfig::Context context, synfig::Time time) const
| Sets the time for the selected Layer and those under it.
virtual bool | accelerated_render (synfig::Context context, synfig::Surface *surface, int quality, const synfig::RendDesc &renddesc, synfig::ProgressCallback *cb) const
| Renders the Canvas to the given Surface in an accelerated manner.

## Protected Member Functions

| Layer_TimeLoop ()

## Constructor & Destructor Documentation

Layer_TimeLoop::Layer_TimeLoop | ( |  | ) | `[protected]`

Layer_TimeLoop::~Layer_TimeLoop | ( |  | ) |

## Member Function Documentation

bool Layer_TimeLoop::set_param | ( | const synfig::String & | param,
|  | const synfig::ValueBase & | value |
| ) |  |  | `[virtual]`

Sets the parameter described by param to value.

Parameters:

  | param | The name of the parameter to set
  | value | What the parameter is to be set to.

Returns:
  `true` on success, `false` upon rejection or failure. If it returns `false`, then the Layer is assumed to remain unchanged.

See also:
  get_param()

Todo:
  param should be of the type `const String &param`

Reimplemented from synfig::Layer.

References IMPORT.

ValueBase Layer_TimeLoop::get_param | ( | const synfig::String & | param | ) | const`[virtual]`

Get the value of the specified parameter.

Returns:
  The requested parameter value, or (upon failure) a NIL ValueBase.

See also:
  set_param()

Todo:
  param should be of the type `const String &`

Reimplemented from synfig::Layer.

References EXPORT, EXPORT_NAME, and EXPORT_VERSION.

Layer::Vocab Layer_TimeLoop::get_param_vocab | ( | void |  | ) | const`[virtual]`

Gets the parameter vocabulary.

Reimplemented from synfig::Layer.

References _.

bool Layer_TimeLoop::set_version | ( | const synfig::String & | ver | ) | `[virtual]`

Sets the virtual version to use for backwards-compatibility.

See also:
  reset_version()

Reimplemented from synfig::Layer.

void Layer_TimeLoop::reset_version | ( |  | ) | `[virtual]`

Resets the virtual version.

See also:
  set_version()

Reimplemented from synfig::Layer.

References synfig::Layer::connect_dynamic_param(), synfig::Layer::disconnect_dynamic_param(), synfig::Layer::dynamic_param_list(), and synfig::LinkableValueNode::set_link().

Color Layer_TimeLoop::get_color | ( | synfig::Context | context,
|  | const synfig::Point & | pos |
| ) |  |  | const`[virtual]`

Gets the color of the Canvas at pos.

Parameters:

  | context | Context iterator referring to next Layer.
  | pos | Point which indicates where the Color should come from

See also:
  Handle::get_color()

Reimplemented from synfig::Layer.

References synfig::Context::get_color().

void Layer_TimeLoop::set_time | ( | synfig::Context | context,
|  | synfig::Time | time |
| ) |  |  | const`[virtual]`

Sets the time for the selected Layer and those under it.

Parameters:

  | context | Context iterator referring to next Layer.
  | time | writeme

See also:
  Handle::set_time()

Reimplemented from synfig::Layer.

References synfig::Context::set_time().

bool Layer_TimeLoop::accelerated_render | ( | synfig::Context | context,
|  | synfig::Surface * | surface,
|  | int | quality,
|  | const synfig::RendDesc & | renddesc,
|  | synfig::ProgressCallback * | cb |
| ) |  |  | const`[virtual]`

Renders the Canvas to the given Surface in an accelerated manner.

Parameters:

  | context | Context iterator referring to next Layer.
  | surface | Pointer to Surface to render to.
  | quality | The requested quality-level to render at.
  | renddesc | The associated RendDesc.
  | cb | Pointer to callback object. May be NULL if there is no callback.

Returns:
  `true` on success, `false` on failure

See also:
  Handle::accelerated_render()

Reimplemented from synfig::Layer.

References synfig::Context::accelerated_render().

The documentation for this class was generated from the following files:

- timeloop.h
- timeloop.cpp